#!/bin/sh
#
# Copyright (c) 2002 by James A. McQuillan (McQuillan Systems, LLC)
# Copyright (c) 2008 by Warren Togami      (Red Hat, Inc.)
# Copyright (c) 2008 by Vagrant Cascadian
#
# This software is licensed under the GNU General Public License version 2,
# the full text of which can be found in the COPYING file.
#

#
# Get the common code for X screen scripts
#

. /usr/share/ltsp/screen-x-common

NX_OPTIONS=$*

while :; do
    /usr/bin/xinit /usr/share/ltsp/start_nx ${NX_OPTIONS} -- ${DISP} vt${TTY} ||
    error_delay "xinit failed, press <enter> to continue "
done
